[android-components](../../index.md) / [mozilla.components.feature.push](../index.md) / [Protocol](./index.md)

# Protocol

`enum class Protocol` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/push/src/main/java/mozilla/components/feature/push/AutoPushFeature.kt#L341)

Supported network protocols.

### Enum Values

| Name | Summary |
|---|---|
| [HTTP](-h-t-t-p.md) |  |
| [HTTPS](-h-t-t-p-s.md) |  |
